Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
bach.2266

lisp tọa độ

Các bài được khuyến nghị

bác nào có lisp ghi tọa độ trên cad cho e xin với (kích 1 cái nó ghi luôn x,y trên cad luôn) cám ơn mọi người nhiều

Hề hề hề,

1/- Bạn nên đọc kỹ lại quy định của diễn đàn về việc yêu cầu viết lisp nhé.

2/- Vì không hiểu rõ cái bạn cần nên viết đại một lisp như vầy. Bạn dùng thử, nếu chưa ưng thì hãy làm đúng các yêu cầu của diễn đàn nhé.

 

(defun c:gtd (/ oldos p)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
      (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(setvar "osmode" oldos)
(princ)
)
(defun c:gtd (/ oldos p)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
      (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(setvar "osmode" oldos)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Bình xem lại vị trí đặt osmode, không hợp lý rồi.

Hề hề hề ,

Cám ơn bác DoanVanHa đã chỉ giáo. Xin sửa lại như sau, chẳng biết có hợp lý hơn không.....

 

(defun c:gtd (/ oldos p)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
 (command "text" "_none" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(princ)
)

 

 (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×